---
title: EXT_color_buffer_float
slug: Web/API/EXT_color_buffer_float
tags:
  - API
  - Reference
  - WebGL
  - WebGL extension
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>EXT_color_buffer_float</strong></code> extension is part of <a href="/en-US/docs/Web/API/WebGL_API">WebGL</a> and adds the ability to render a variety of floating point formats.</p>

<p>WebGL extensions are available using the {{domxref("WebGLRenderingContext.getExtension()")}} method. For more information, see also <a href="/en-US/docs/Web/API/WebGL_API/Using_Extensions">Using Extensions</a> in the <a href="/en-US/docs/Web/API/WebGL_API/Tutorial">WebGL tutorial</a>.</p>

<div class="note">
<p><strong>Availability:</strong> This extension is available to {{domxref("WebGL2RenderingContext", "WebGL 2", "", 1)}} contexts only.</p>

<p>For {{domxref("WebGLRenderingContext", "WebGL 1", "", 1)}}, see the {{domxref("EXT_color_buffer_half_float")}} and {{domxref("WEBGL_color_buffer_float")}} extensions.</p>
</div>

<h2 id="Extended_methods">Extended methods</h2>

<p>The following sized formats become <strong>color-renderable</strong>:</p>

<ul>
 <li><code>gl.R16F</code>,</li>
 <li><code>gl.RG16F</code>,</li>
 <li><code>gl.RGBA16F</code>,</li>
 <li><code>gl.R32F</code>,</li>
 <li><code>gl.RG32F</code>,</li>
 <li><code>gl.RGBA32F</code>,</li>
 <li><code>gl.R11F_G11F_B10F</code>.</li>
</ul>

<p><strong>Color-renderable</strong> means:</p>

<ul>
 <li>The {{domxref("WebGLRenderingContext.renderbufferStorage()")}} method now accepts these formats.</li>
 <li>Framebuffers with attached textures of these formats may now be <strong>FRAMEBUFFER_COMPLETE</strong>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p><code>gl</code> must be a {{domxref("WebGL2RenderingContext")}}. This extension does not work in WebGL 1 contexts.</p>

<pre class="brush:js">var ext = gl.getExtension('EXT_color_buffer_float');

gl.renderbufferStorage(gl.RENDERBUFFER, gl.RGBA16F, 256, 256);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EXT_color_buffer_float', '', 'EXT_color_buffer_float')}}</td>
   <td>{{Spec2('EXT_color_buffer_float')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.EXT_color_buffer_float")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li>{{domxref("WebGLRenderingContext.renderbufferStorage()")}}</li>
 <li>{{domxref("EXT_color_buffer_half_float")}}</li>
 <li>{{domxref("WEBGL_color_buffer_float")}}</li>
</ul>
